# My Order History List

### Details

<mark style="color:green;">`POST`</mark> `https://api.earnbit.com/api/v1/account/order_history_list`

#### Headers

| Name                                              | Type   | Description                                                                                                               |
| ------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------- |
| X-TXC-APIKEY<mark style="color:red;">\*</mark>    | STRING | Public [API key](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md) |
| X-TXC-PAYLOAD<mark style="color:red;">\*</mark>   | STRING | Сonverted Base64 string containing body JSON                                                                              |
| X-TXC-SIGNATURE<mark style="color:red;">\*</mark> | STRING | Encrypted HmacSHA512 string containing body JSON with a API secret key                                                    |

#### Request Body

| Name                                      | Type    | Description                                                                                                                                                              | Example                              |
| ----------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------ |
| offset                                    | STRING  | Default: 0                                                                                                                                                               | 0                                    |
| limit                                     | STRING  | Default: 50                                                                                                                                                              | 10                                   |
| request<mark style="color:red;">\*</mark> | STRING  | A request path without the domain name                                                                                                                                   | /api/v1/account/order\_history\_list |
| nonce<mark style="color:red;">\*</mark>   | NUMERIC | A 13-character number that must always be greater than the nonce of the previous completed request (we suggest generating a nonce as the UNIX timestamp in milliseconds) | 1704070810000                        |

<details>

<summary>CURL Example</summary>

```javascript
curl --location --request POST 'https://api.earnbit.com/api/v1/account/order_history_list' \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: 0000000000XXXXXXXXXXXXXXXXX' \
--header 'X-TXC-PAYLOAD: 0000000000XXXXXXXXXXXXXXXXX' \
--header 'X-TXC-SIGNATURE: 0000000000XXXXXXXXXXXXXXXXX' \
--data-raw '{"request":"/api/v1/account/order_history_list","offset":0,"limit":10,"nonce":1704070810000}'
```

</details>

{% tabs %}
{% tab title="200: OK Successful" %}
**Response parameters:**

|    Name    |   Type  | Description                                   |
| :--------: | :-----: | --------------------------------------------- |
|     id     | NUMERIC | Order ID                                      |
|   amount   |  STRING | Order amount (in 1st ticker of pair)          |
|    price   |  STRING | Order price                                   |
|    type    |  STRING | Type of placed order                          |
|    side    |  STRING | Side of placed order                          |
|    ctime   | NUMERIC | Time of create order                          |
|    ftime   | NUMERIC | Time of finishing order                       |
|  takerFee  |  STRING | Order taker fee                               |
|  makerFee  |  STRING | Order maker fee                               |
|  dealStock |  STRING | Executed Order Amount (in 1st Ticker of Pair) |
|  dealMoney |  STRING | Executed Order Amount (in 2nd Ticker of Pair) |
| marketName |  STRING | Order pair                                    |

**Response example:**

```javascript
{
    "code": 200,
    "success": true,
    "message": "",
    "result": [
        {
            "id": 1040158910,
            "amount": "0.1",
            "price": "60000",
            "type": "limit",
            "side": "buy",
            "ctime": 1.727093719874E9,
            "ftime": 1.727093719874E9,
            "takerFee": "0.0004",
            "makerFee": "0.0004",
            "dealStock": "0",
            "dealMoney": "0",
            "marketName": "BTC_USDT"
        },
        ...
    ]
}
```

{% endtab %}

{% tab title="400: Bad Request" %}
**Response example 1:**

```javascript
{
    "code": 400,
    "success": false,
    "message": "authentication failure",
    "result": []
}
```

**This error occurs in the following cases:]**

* The request was signed incorrectly.
* Some of the provided parameters are incorrect.
* Provided [nonce](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md) is incorrect or less than on previous completed request
* The base URL or path is incorrect.
* The API keys are not [activated](/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/authentication-and-api-keys.md).

**Response example 2:**

```json
{
    "code": 400,
    "success": false,
    "message": "invalid input",
    "result": []
}
```

**This error occurs in the following cases:**

* One or more body params provided incorrectly
* Required body params are not provided
  {% endtab %}

{% tab title="404: Not Found" %}
**Response example:**

```javascript
{    
    "timestamp": 1660811292806,
    "status": 404,
    "error": "Not Found",
    "message": "",
    "path": "/api/v1/order/test"
}
```

**This error occurs in the following cases:**

* The request was made with undefined data and the service cannot find the data for response.
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://earnbit.gitbook.io/earnbit/developers/exchange-api-documentation/private-endpoints-or-http/my-order-history-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
